﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Companies.aspx.cs" EnableViewState="false" Inherits="JitbitCRM.Companies" MasterPageFile="JitbitCRMMaster.Master" %>
<%@ Import Namespace="JitbitCRM.BusinessLayer" %>


<asp:Content ContentPlaceHolderID="tabmenu2" runat="server">
<li><a href='CompanyEdit.aspx' style="float:left"><asp:Label id="lnkNewCompany" runat="server">Add company...</asp:Label></a></li>
<li style="position:static"><a href="javascript:void(0)" onclick="$('#divColumns').show();">Select columns to display</a>
		<div style="position:absolute;display:none;padding:10px;" class="grey outerroundedbox" id="divColumns">
			<asp:CheckBox ID="cbShowEmailColumn" runat="server" Text="Email" /><br />
			<asp:CheckBox ID="cbShowPhoneColumn" runat="server" Text="Phone" /><br />
			<asp:CheckBox ID="cbShowFaxColumn" runat="server" Text="Fax" /><br />
			<asp:CheckBox ID="cbShowAddrColumn" runat="server" Text="Address" /><br />
			<asp:CheckBox ID="cbShowCityColumn" runat="server" Text="City" /><br />
			<asp:CheckBox ID="cbShowStateColumn" runat="server" Text="State/Region" /><br />
			<asp:CheckBox ID="cbShowCountryColumn" runat="server" Text="Country" /><br />
			<asp:CheckBox ID="cbShowLastNoteColumn" runat="server" Text="Last note" /><br />
			<asp:CheckBox ID="cbShowAssigneeColumn" runat="server" Text="Assignee" /><br />
			<asp:Repeater ID="rptShowCustomFields" runat="server">
				<ItemTemplate>
				<input type="checkbox" id="showCustomFields<%# Eval("FieldID") %>" name="showCustomFields<%# Eval("FieldID") %>"
					value="1" <%# CurrUserColsSettings.CustomFieldsToShowInCompanies.Contains((int)Eval("FieldID")) ? "checked='checked'" : "" %> />
				<label><%# Eval("FieldName")%></label><br /></ItemTemplate>
			</asp:Repeater><br />
			<asp:Button ID="btnSaveColumns" runat="server" Text="Save" OnClick="btnSaveColumns_Click" CssClass="bluebutton"/> or <a href="javascript:void(0)" onclick="$('#divColumns').hide();">Cancel</a>
		</div></li>
<% if (IsAdmin){%>
	<li><a href="CompanyImportCSV.aspx"><asp:Label id="lnkImport" runat="server">Import</asp:Label></a></li>
	<li><a href='Companies.aspx?<%=Request.QueryString%>&CSV=1'><asp:Label id="lblExport" runat="server">Export</asp:Label></a></li>
<% } %>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="ContentPlaceHolder1">

<div id="leftsidebar">
	<div class="outerroundedbox lightbg">
		<h4><asp:label ID="lblTags" runat="server">Tags:</asp:label></h4>
		<div id="tdTags" runat="server">
			<span id="spanNoTags" runat="server" class="grey">No tags found</span>
		</div>
		<a href="Projects.aspx" class="grey" id="lnkShowAll" runat="server">show all</a>
	</div>		
	<div class="outerroundedbox grey">
		<a runat="server" id="lnkAssignedToMe">show companies assigned to me</a>
	</div>
</div>
<div id="maintable">
		
<!--list of companies-->

<asp:Repeater ID="rptCompanies" Visible="false" runat="server">
<HeaderTemplate>
<table id="tblCompanies" class="lightbg outerroundedbox horizseparated" width="100%" cellpadding="7">
<tr><th style="width:25px"></th>
	<th><a href="?sort=<%= Request.QueryString["sort"] == "Name" ? "-" : "" %>Name&page=<%= Request.QueryString["page"] %>&TagID=<%= Request.QueryString["TagID"] %>">Name</a></th>
	
	<% if (CurrUserColsSettings.ShowEmailColumn) { %>
		<th><a href="?sort=<%= Request.QueryString["sort"] == "Email" ? "-" : "" %>Email&page=<%= Request.QueryString["page"] %>&TagID=<%= Request.QueryString["TagID"] %>">Email</a></th><% } %>
	<% if (CurrUserColsSettings.ShowPhoneColumn) { %>
		<th><a href="?sort=<%= Request.QueryString["sort"] == "Phone" ? "-" : "" %>Phone&page=<%= Request.QueryString["page"] %>&TagID=<%= Request.QueryString["TagID"] %>">Phone</a></th><% } %>
	<% if (CurrUserColsSettings.ShowFaxColumn) { %>
		<th><a href="?sort=<%= Request.QueryString["sort"] == "Fax" ? "-" : "" %>Fax&page=<%= Request.QueryString["page"] %>&TagID=<%= Request.QueryString["TagID"] %>">Fax</a></th><% } %>
	<% if (CurrUserColsSettings.ShowAddressColumn) { %>
		<th><a href="?sort=<%= Request.QueryString["sort"] == "Address" ? "-" : "" %>Address&page=<%= Request.QueryString["page"] %>&TagID=<%= Request.QueryString["TagID"] %>">Address</a></th><% } %>
	<% if (CurrUserColsSettings.ShowCityColumn) { %>
		<th><a href="?sort=<%= Request.QueryString["sort"] == "City" ? "-" : "" %>City&page=<%= Request.QueryString["page"] %>&TagID=<%= Request.QueryString["TagID"] %>">City</a></th><% } %>
	<% if (CurrUserColsSettings.ShowStateColumn) { %>
		<th><a href="?sort=<%= Request.QueryString["sort"] == "StateRegion" ? "-" : "" %>StateRegion&page=<%= Request.QueryString["page"] %>&TagID=<%= Request.QueryString["TagID"] %>">State/Region</a></th><% } %>
	<% if (CurrUserColsSettings.ShowCountryColumn) { %>
		<th><a href="?sort=<%= Request.QueryString["sort"] == "Country" ? "-" : "" %>Country&page=<%= Request.QueryString["page"] %>&TagID=<%= Request.QueryString["TagID"] %>">Country</a></th><% } %>
	<% if (CurrUserColsSettings.ShowLastNoteColumn) { %>
		<th><a href="?sort=<%= Request.QueryString["sort"] == "LatestNoteDate" ? "-" : "" %>LatestNoteDate&page=<%= Request.QueryString["page"] %>&TagID=<%= Request.QueryString["TagID"] %>">Last updated</a></th><% } %>
	<% if (CurrUserColsSettings.ShowAssigneeColumn) { %>
		<th><a href="?sort=<%= Request.QueryString["sort"] == "AssigneeUsername" ? "-" : "" %>AssigneeUsername&page=<%= Request.QueryString["page"] %>&TagID=<%= Request.QueryString["TagID"] %>">Assigned to</a></th><% } %>
	
	<% foreach (string fieldName in CustomFieldsShown) { %>
		<th><a href="?sort=<%= Request.QueryString["sort"] == fieldName ? "-" : "" %><%= fieldName %>&page=<%= Request.QueryString["page"] %>&TagID=<%= Request.QueryString["TagID"] %>"><%= fieldName %></a></th>
	<% } %>
	
	<th class="zeroverticalpadding" align="center" style="width:19px"><input type="checkbox" name="cbDelAll" id="cbDelAll" onclick="CheckUnchekAll();" /></th>
 </tr>
</HeaderTemplate>
<ItemTemplate>
	<tr <%# Container.ItemType == ListItemType.AlternatingItem ? " class='alternativeLightbg'" : "" %>>
	<td><a href="CompanyView.aspx?CompanyID=<%# Eval("CompanyID") %>"><img src='<%# GetAvatarImagePath(Eval("CompanyID")) %>' class="smallavatar" alt="" /></a></td>
	<td style="white-space:nowrap"><a href="CompanyView.aspx?CompanyID=<%# Eval("CompanyID") %>"><%# Eval("Name") %></a></td>

	<% if (CurrUserColsSettings.ShowEmailColumn) { %>
		<td><%# Eval("Email") %></td><% } %>
	<% if (CurrUserColsSettings.ShowPhoneColumn) { %>
		<td><%# Eval("Phone") %></td><% } %>
	<% if (CurrUserColsSettings.ShowFaxColumn) { %>
		<td><%# Eval("Fax") %></td><% } %>
	<% if (CurrUserColsSettings.ShowAddressColumn) { %>
		<td><%# Eval("Address") %></td><% } %>
	<% if (CurrUserColsSettings.ShowCityColumn) { %>
		<td><%# Eval("City") %></td><% } %>
	<% if (CurrUserColsSettings.ShowStateColumn) { %>
		<td><%# Eval("StateRegion") %></td><% } %>
	<% if (CurrUserColsSettings.ShowCountryColumn) { %>
		<td><%# Eval("Country") %></td><% } %>
	<% if (CurrUserColsSettings.ShowLastNoteColumn) { %>    
		<td class="grey"><b><%# Eval("LatestNoteDate") %></b>: <%# Eval("LatestNote").ToString().TruncateAtWord(30) %></td><% } %>
	<% if (CurrUserColsSettings.ShowAssigneeColumn) { %>
		<td><a href="ViewUser.aspx?UserID=<%# Eval("UserID" )%>"><%# Eval("AssigneeUsername")%></a></td><% } %>
	
	<%# CustomFieldsShown.Count==0 ? "" : CustomFieldsShown.Select(x => "<td>" + Eval(x) + "</td>").Aggregate((i,j) => i+j) %>
	
	<td><input type="checkbox" name='cbDel<%# Eval("CompanyID") %>' value="1" /></td>
	</tr>
</ItemTemplate>
<FooterTemplate><tfoot><tr><td class="gradientbg grey" colspan="<%= CurrUserColsSettings.DefaultColumnCount + 3 + CurrUserColsSettings.CustomFieldsToShowInCompanies.Count %>">
<span style="float:left"><%# _pagerString %></span>
<span style="float:right">
	<a href="javascript:void(0)" onclick="EmailSelected();" title="send email to the selected companies">send email...</a> |
	<a href="javascript:void(0)" onclick="DeleteSelected();" title="Delete selected">delete...</a>
</span></td></tr></tfoot></table></FooterTemplate>
</asp:Repeater>

<span id="spanNoCompanies" runat="server" class="grey" visible="false">No companies found. <a href="CompanyEdit.aspx">Add a company...</a></span>

</div>
<div class="clearfix"></div>

<%--ivisible btns--%>
<asp:Button ID="btnDel" style="display:none" runat="server" OnClick="btnDel_Click" EnableViewState="false"></asp:Button>

<script type="text/javascript">
	function CheckUnchekAll() {
		var chk = false;
		if (document.getElementById("cbDelAll").checked)
			chk = true;
		$("input[type='checkbox'][name^='cbDel']").attr('checked', chk);
	}
	function DeleteSelected() {
		if (!confirm("Are you sure you want to delete the selected entries?")) return;
		$("#<%= btnDel.ClientID %>").click();
	}
	function EmailSelected() {
		var ids = "";
		$.each(
			$("INPUT[type='checkbox'][name ^= 'cbDel' ]"),
			function () {
				var strId = $(this).attr("name").substring(5);
				if (this.checked && isNumber(strId))
					ids += strId + ',';
			});
		if(ids!="")
			document.location.href = 'SendEmail.aspx?CompanyID=' + ids;
	}
	function isNumber(n) {
		return !isNaN(parseFloat(n)) && isFinite(n);
	}
</script>
 
</asp:Content>