<%@ Page language="c#" Codebehind="AdminUsers.aspx.cs" AutoEventWireup="True" Inherits="JitbitCRM.AdminUsers" MasterPageFile="JitbitCRMMaster.Master" %>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
<h2 class="breadcrumbs"><a href="Admin.aspx">Administration</a> &raquo;
		<asp:Label ID="lblUsers" runat="server" EnableViewState="False" meta:resourcekey="lblUsersResource1">Users</asp:Label></h2>

	<asp:DataGrid id="gridUsers" runat="server" EnableViewState="False" Width="100%" AutoGenerateColumns="False"
		CellPadding="7" CssClass="horizseparated sortable outerroundedbox" UseAccessibleHeader="true" CellSpacing="-1">
		<AlternatingItemStyle CssClass="alternativeLightbg" />
		<Columns>
			<asp:BoundColumn Visible="False" DataField="UserID"></asp:BoundColumn>
			<asp:HyperLinkColumn DataNavigateUrlField="UserID" DataNavigateUrlFormatString="ViewUser.aspx?UserID={0}"
				DataTextField="Username" HeaderText="Users"></asp:HyperLinkColumn>
			<asp:BoundColumn DataField="FirstName" HeaderText="First Name" meta:resourcekey="colFirstNameResource1"></asp:BoundColumn>
			<asp:BoundColumn DataField="LastName" HeaderText="Last Name" meta:resourcekey="colLastNameResource1"></asp:BoundColumn>
			<asp:TemplateColumn HeaderText="Disabled">
				<ItemTemplate><%# (bool)Eval("Disabled") ? "Yes" : "No" %></ItemTemplate>
			</asp:TemplateColumn>
		</Columns>
	</asp:DataGrid>

	<div class='outerroundedbox'>
		<a href="AdminCreateUser.aspx"><asp:Label runat="server" ID="lblAdd" EnableViewState="False" meta:resourcekey="lblAddResource1">add a new user</asp:Label></a>
		|
		<a href="javascript:void(0)" onclick="$('#divUpload').slideToggle()">upload from CSV</a>
	</div>

	<div id="divUpload" style="display:none;float:right;padding:7px" class="grey outerroundedborder lightbg">
		CSV file:
		<asp:FileUpload ID="csvFile" runat="server" /><br />
		(CSV file format: "<b>username,password,email,firstname,lastname</b>", no header row)<br /><br />
		<asp:Button ID="btnUpload" runat="server" Text="upload" OnClick="btnUpload_Click"/>
	</div>
</asp:Content>
